Bug 1851535 - Disable conntrack for GENEVE packets
Summary: Disable conntrack for GENEVE packets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: mcambria@redhat.com
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On:
Blocks: 1859374
TreeView+ depends on / blocked
 
Reported: 2020-06-26 21:02 UTC by Dan Williams
Modified: 2020-10-27 16:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1859374 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:09:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 707 0 None closed Bug 1851535: Disable conntrack for GENEVE 2020-12-17 22:30:53 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:10:06 UTC

Description Dan Williams 2020-06-26 21:02:19 UTC
Disabling conntrack for GENEVE increases throughput by 5-10% per our OVN datapath testing.

$ iptables -t raw -A PREROUTING -p udp --dport 6081 -j NOTRACK
$ iptables -t raw -A OUTPUT -p udp --dport 6081 -j NOTRACK

Comment 5 Ross Brattain 2020-07-27 18:15:55 UTC
Verified on 4.6.0-0.nightly-2020-07-25-091217

iptables-raw-compute.internal
5:-A PREROUTING -p udp -m udp --dport 6081 -j NOTRACK
6:-A OUTPUT -p udp -m udp --dport 6081 -j NOTRACK

Comment 7 errata-xmlrpc 2020-10-27 16:09:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.